/*
   New Perspectives on HTML and CSS
   Tutorial 6
   Case Problem 1

   Comment Form Style Sheet
   Author: Melanie Pinheiro
   Date:   3/27/25

   Filename:         comments.css
   Supporting Files: go.png, stop.png

*/


form {
  margin-top: 1em;
  padding: 10px;
  background-color: #f2f2f2;  
  border: 1px solid #ccc;
  width: 95%; 
}

fieldset {
  border: 1px solid #ccc;
  padding: 1em;
}

legend {
  font-weight: bold;
  font-size: 1.1em;
}


form p {
  margin: 0.5em 0;
}


label {
  display: inline-block;
  width: 100px; 
  font-weight: bold;
  margin-right: 10px;
}


input[type="text"],
input[type="email"],
input[type="password"],
textarea {
  font: inherit;  
  padding: 5px;
  border: 1px solid #aaa;
  border-radius: 3px;
  width: 60%;     
  max-width: 400px;
}

/* Buttons */
input[type="submit"],
input[type="reset"] {
  padding: 6px 12px;
  margin: 0.5em 0 0 0; 
  cursor: pointer;
  border: 1px solid #999;
  border-radius: 3px;
  background-color: #eee;
}

input[type="submit"]:hover,
input[type="reset"]:hover {
  background-color: #ddd;
}